evince update - post-installation script returned error...

Florian Diesch diesch at spamfence.net
Fri Dec 8 12:55:49 UTC 2006


Thilo Six <T.Six at gmx.de> wrote:

> Hello
>
> I have question about the following message i get with my update now:
>
> <--------------------------------------------------------
> Setting up evince (0.5.2-0ubuntu3.2) ...
> dpkg: error processing evince (--configure):
>  subprocess post-installation script returned error exit status 139
> Errors were encountered while processing:
>  evince
> E: Sub-process /usr/bin/dpkg returned an error code (1)
> A package failed to install.  Trying to recover:
> Setting up evince (0.5.2-0ubuntu3.2) ...
> dpkg: error processing evince (--configure):
>  subprocess post-installation script returned error exit status 139
> Errors were encountered while processing:
>  evince
> -------------------------------------------------------->
>
> This is on a machine that is only used once or twice a week and
> therefore the update were direct to  0.5.2-0ubuntu3.2 .
> On an other machine which is daily used and update the update of evince
> went smoothly 0.5.2-0ubuntu3 -> 0.5.2-0ubuntu3.1 -> 0.5.2-0ubuntu3.2
>
> Sine the error message above persist, can someone give a hint what to do?

The error is raised somewhere in /var/lib/dpkg/info/evince.postinst
Insert there
 set -x
after the first line and run
 sudo dpkg --configure --pending
That should tell you what's wrong.


   Florian
-- 
<http://www.florian-diesch.de/>




More information about the ubuntu-users mailing list